MLAPI API Reference

# NetworkedBehaviour
SendToLocalClient
T
Method (String, String, T)

[This is preliminary documentation and is subject to change.]

Sends a binary serialized class to the server from client

Namespace: MLAPI.MonoBehaviours.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    protected void SendToLocalClient<T>(
    	string messageType,
    	string channelName,
    	T instance
    )

Request Example
View Source

#### Parameters

messageType
  Type: System
  String
  User defined messageType
channelName
  Type: System
  String
  User defined channelName
instance
  Type: T
  The instance to send

#### Type Parameters

T
  The class type to send

See Also

#### Reference

NetworkedBehaviour Class
SendToLocalClient Overload
MLAPI.MonoBehaviours.Core Namespace